#include <fstream>
#include <iostream>
std::ifstream fin("dfs.in");
std::ofstream fout("dfs.out");
int main(int argc, char const *argv[]) {
  std::cin.rdbuf(fin.rdbuf()), std::cout.rdbuf(fout.rdbuf());
  return 0;
}
// Goodbye OI.